Package net.shibboleth.idp.profile.audit.impl

# Class PopulateAuditContext.FormattingMapParser

java.lang.Object
net.shibboleth.idp.profile.audit.impl.PopulateAuditContext.FormattingMapParser

Enclosing class:
  PopulateAuditContext

public static class PopulateAuditContext.FormattingMapParser extends Object
Parser for the formatting strings that exposes a final set of field labels that are present in any of the input formatters.

Since:
  4.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Set<String>`
`fields`
Set of parsed fields.

## Constructor Summary

Constructors
Constructor
Description
`FormattingMapParser(Map<String,String> map)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getFieldsToExtract()`
Get the parsed set of fields.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fields

@Nonnull private final Set<String> fields
Set of parsed fields.

## Constructor Details

### FormattingMapParser

public FormattingMapParser(@Nonnull Map<String,String> map)
Constructor.

Parameters:
  `map` - map of formatters to parse

## Method Details

### getFieldsToExtract

@Nonnull @NotLive @Unmodifiable public Set<String> getFieldsToExtract()
Get the parsed set of fields.

Returns:
  the parsed fields